Skip to main content

Request Service Account Token

API Description

Request an access token using the client_credentials grant type.

Request

Path Template
POST {url}/api/v1/oauth2/token

Request Headers

NameInput
Content-Type
REQUIRED

Example Request Headers
Content-Type: application/json

Request Body

NameInput
client_id
REQUIRED
client_secret
REQUIRED
grant_type
REQUIRED
scope
REQUIRED
  • grant_type MUST be client_credentials
  • scope MUST be business
Example Request Body (raw JSON)
{
"client_id": "89352235982374239823",
"client_secret": "e5868ebb4445fc2ad9f949956c1cb9ddefa0d421",
"grant_type": "client_credentials",
"scope": "business"
}

Response

200 OK or Error

Response Headers

Name
content-type
Example Response Headers
HTTP/1.1 200 OK
content-type: application/json

Response Body

NameOutput
access_token
REQUIRED
expires_in
REQUIRED
token_type
REQUIRED
Example Response Body (raw JSON)
{
"expires_in": 3600,
"token_type": "Bearer",
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxOTc2IiwibmFtZSI6IkpvaG5ueSBBcHBsZXNlZWQiLCJpYXQiOjQ0MzYyMDgwMH0.V3n-3AcvyfHSuTCE9DNX3gHY3ApdGhUlF1fp-7fiMhI"
}